Skip to main content
GET
/
api
/
teams
/
{team_id}
/
payments
Error
A valid request URL is required to generate request examples
{
  "hydra:member": [
    {
      "@id": "<string>",
      "@type": "<string>",
      "@context": "<string>",
      "id": "<string>",
      "team": {
        "@id": "<string>",
        "@type": "<string>",
        "@context": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "payment_id": "<string>",
      "subscription_id": "<string>",
      "gateway": "<string>",
      "price": 0,
      "product_name": "<string>",
      "quantity": 123,
      "receipt_url": "<string>",
      "status": "<string>",
      "billing_detail": {
        "name": "<string>",
        "company_name": "<string>",
        "company_id": "<string>",
        "address1": "<string>",
        "address2": "<string>",
        "country": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal_code": "<string>",
        "billing_email": "jsmith@example.com",
        "registration_number": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "gateway_label": "<string>"
    }
  ],
  "hydra:totalItems": 1,
  "hydra:search": {
    "@type": "<string>",
    "hydra:template": "<string>",
    "hydra:variableRepresentation": "<string>",
    "hydra:mapping": [
      {
        "@type": "<string>",
        "variable": "<string>",
        "property": "<string>",
        "required": true
      }
    ]
  },
  "hydra:view": {
    "@id": "string",
    "@type": "string",
    "hydra:first": "string",
    "hydra:last": "string",
    "hydra:previous": "string",
    "hydra:next": "string"
  }
}

Authorizations

api-key
string
header
required

Value for the api-key header parameter.

Path Parameters

team_id
string
required

Team identifier

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:30

The number of items per page

Required range: 0 <= x <= 30
gateway
string
gateway[]
string[]
status
string
status[]
string[]
product_name
string
product_name[]
string[]
order[created_at]
enum<string>
default:desc
Available options:
asc,
desc

Response

Payment collection

Payment.jsonld-payment.read_billing_detail.read collection.

hydra:member
object[]
required
hydra:totalItems
integer
Required range: x >= 0
hydra:view
object
Example:
{
"@id": "string",
"@type": "string",
"hydra:first": "string",
"hydra:last": "string",
"hydra:previous": "string",
"hydra:next": "string"
}